<div class="card" *ngIf="item && item.name !== 'Robot'">
  <h2>{{ item.name }} (+{{ item.amountPerIntervalMultiplier }})</h2>
  <div class="item-image" [ngSwitch]="item.name" (click)="showDescription()">
    <app-drill *ngSwitchCase="'Drill'"></app-drill>
    <app-tarps *ngSwitchCase="'Tarps'"></app-tarps>
    <app-truck *ngSwitchCase="'Truck'"></app-truck>
    <div *ngSwitchDefault></div>
  </div>
  <div *ngIf="!isCrafting" class="needed">
    <div class="icon"><app-oil></app-oil></div>
    {{ item.oilNeeded | number: "1.1-2" }}
  </div>
  <div *ngIf="!isCrafting" class="needed">
    <div class="icon"><app-iron></app-iron></div>
    {{ item.ironNeeded | number: "1.1-2" }}
  </div>
  <div *ngIf="!isCrafting" class="needed">
    <div class="icon"><app-copper></app-copper></div>
    {{ item.copperNeeded | number: "1.1-2" }}
  </div>
  <div
    *ngIf="!isCrafting"
    class="btn craft-btn"
    (click)="clickCraftBtn(item.name)"
  >
    Craft
  </div>

  <div class="err-msg">{{ craftErrMsg }}</div>

  <div class="craft-meter-bg" *ngIf="isCrafting">
    <div class="craft-meter-fill" [style.width]="craftMeterPercent + '%'"></div>
  </div>
  <div class="item-description-modal" *ngIf="isDescriptionShown">
    <div class="description-container">
      <h3>{{ item.name }}</h3>
      <p>{{ item.description }}</p>
    </div>
  </div>
</div>

<div class="card" *ngIf="item && item.name === 'Robot'">
  <h2>{{ item.name }} (+{{ item.amountPerIntervalMultiplier }})</h2>
  <div class="item-image" (click)="showDescription()">
    <app-robot></app-robot>
  </div>
  <div *ngIf="!isCrafting" class="needed">
    <div class="icon"><app-robot-head></app-robot-head></div>
    1
  </div>
  <div *ngIf="!isCrafting" class="needed">
    <div class="icon"><app-robot-torso></app-robot-torso></div>
    1
  </div>
  <div *ngIf="!isCrafting" class="needed">
    <div class="icon"><app-robot-arm></app-robot-arm></div>
    2
  </div>
  <div *ngIf="!isCrafting" class="needed">
    <div class="icon"><app-robot-leg></app-robot-leg></div>
    2
  </div>

  <div
    *ngIf="!isCrafting"
    class="btn craft-btn"
    (click)="clickCraftBtn(item.name)"
  >
    Craft
  </div>

  <div class="err-msg">{{ craftErrMsg }}</div>

  <div class="craft-meter-bg" *ngIf="isCrafting">
    <div class="craft-meter-fill" [style.width]="craftMeterPercent + '%'"></div>
  </div>

  <div class="item-description-modal" *ngIf="isDescriptionShown">
    <div class="description-container">
      <h3>{{ item.name }}</h3>
      <p>{{ item.description }}</p>
    </div>
  </div>
</div>
